Invite Users

​

Invite users to a tenant. Accepts JSON array of users. Requires tenant_id in HashID format.

Body·AdminInviteUsersInput

required
application/json
  • Tenant HashID

  • List of users to invite

    Properties: 4

Responses

  • application/json
  • application/json
Request Example for post/admin/users/invite
curl https://ai.hatz.ai/v1/admin/users/invite \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: YOUR_SECRET_TOKEN' \
  --data '{
  "tenant_id": "",
  "users": [
    {
      "email": "",
      "first_name": "",
      "last_name": "",
      "role": ""
    }
  ]
}'
{
  "message": "string",
  "total_new_users_created": 0,
  "total_existing_users_added": 1,
  "total_new_users_failed": 0,
  "new_users_failed_emails": [],
  "results": [
    {}
  ]
}